package main

import (
	"gitea.pena/PenaSide/codeword/internal/initialize"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestValidateEncrypt(t *testing.T) {
	err := validateEncrypt(&initialize.Config{
		EncryptPublicKey:  "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAEbnIvjIMle4rqVol6K2XUqOxHy1KJoNoZdKJrRUPKL4=\n-----END PUBLIC KEY-----",
		EncryptPrivateKey: "-----BEGIN PRIVATE KEY-----\nMC4CAQAwBQYDK2VwBCIEIKn0BKwF3vZvODgWAnUIwQhd8de5oZhY48gc23EWfrfs\n-----END PRIVATE KEY-----",
		EncryptSignSecret: "pena-auth-microservice-group",
	})
	assert.NoError(t, err)
}
