package initialize

import (
	"gitea.pena/PenaSide/codeword/internal/utils/encrypt"
)

func Encrypt(cfg Config) *encrypt.Encrypt {
	return encrypt.New(&encrypt.EncryptDeps{
		PublicKey:  cfg.EncryptPublicKey,
		PrivateKey: cfg.EncryptPrivateKey,
		SignSecret: cfg.EncryptSignSecret,
	})
}
