package repository

import "errors"

var (
	ErrPromoUserNotFound         = errors.New("user not found")
	ErrAlreadyReported           = errors.New("already reported")
	ErrDuplicateCodeword         = errors.New("duplicate codeword")
	ErrPromoCodeNotFound         = errors.New("promo code not found")
	ErrPromoCodeExpired          = errors.New("promo code is expired")
	ErrPromoCodeExhausted        = errors.New("promo code is exhausted")
	ErrPromoCodeAlreadyActivated = errors.New("promo code is already activated")
)
