package transfer

import (
	"gitea.pena/PenaSide/codeword/internal/models"
	"gitea.pena/PenaSide/codeword/internal/proto/broker"
)

func TariffModelToProtoMessage(userID string, tariffModel *models.Tariff) *broker.TariffMessage {
	if tariffModel == nil {
		return &broker.TariffMessage{}
	}

	return &broker.TariffMessage{
		UserID:     userID,
		Privileges: PrivilegeArrayModelToProto(tariffModel.Privileges),
	}
}
