package admin_promocode

import "github.com/gofiber/fiber/v2"

func (p *PromoCodeController) Register(router fiber.Router) {
	router.Post("/create", p.CreatePromoCode)
	router.Put("/edit", p.EditPromoCode)
	router.Post("/getList", p.GetList)
	router.Delete("/:promocodeID", p.Delete)
	router.Post("/fastlink", p.CreateFastLink)
	router.Post("/stats", p.GetStats)
}

func (p *PromoCodeController) Name() string {
	return "promocode"
}
